Retail Express API 2.1

Gets specific Product Details Log by unique id

Gets specific Product Details Log by unique id

get
https://api.retailexpress.com.au/v2.1/productdetailslog/{id}

Path Parameters

idinteger(int32)required

Product Details Log id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Details Log

ProductDetailLog

Product Detail Log model

* Additional properties are NOT allowed.
idinteger(int32)

Id

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
productobject

Product Detail Log Product model

* Additional properties are NOT allowed.
Show Child Parameters
movement_typestring | null

Source type

originstring | null

Origin

supplier_buy_exobject
* Additional properties are NOT allowed.
Show Child Parameters
buy_price_exobject
* Additional properties are NOT allowed.
Show Child Parameters
direct_costs_exobject
* Additional properties are NOT allowed.
Show Child Parameters
sell_price_incobject
* Additional properties are NOT allowed.
Show Child Parameters
discount_priceobject
* Additional properties are NOT allowed.
Show Child Parameters
rrp_incobject
* Additional properties are NOT allowed.
Show Child Parameters
web_price_incobject
* Additional properties are NOT allowed.
Show Child Parameters
product_typeobject
* Additional properties are NOT allowed.
Show Child Parameters
disabledobject
* Additional properties are NOT allowed.
Show Child Parameters
get/productdetailslog/{id}
 
application/json

producteta

Searches Product Estimated Times of Arrival by parameters

This method allows the retrieval of the next available ETA for a specific product. Either a Product ID or SKU is required, as well as either a Sales Channel ID or a Fulfilment Outlet ID. You can only retrieve a single ETA for a single product at a time.

WARNING: This is a highly complex operation and will use considerable amounts of resource to generate the request.Please use this request sparingly and limit the number of calls.

The ETA is derived from the Order of Sourcing Priority in the Source Group definition, any Purchase Orders in the Status “On-Order” and any available stock in the fulfilment outlet.If a product has Available Stock, the returned ETA date will be today’s date. If a product does not have available stock and would be sourced from a Purchase Order, the returned ETA date will be the ETA stored against the Purchase Order.

Read more about Source & Fulfilment Concepts here.

Using the ‘available_for_preorder’ Boolean set to TRUE, you can limit the ETA calculation to only the Purchase Orders that have been flagged as ‘Available for Preorder’ within Retail Express PO Management.

WARNING: This Option is exclusive for users with the Retail Express Shopify Connector utilising Preorder Setting Option 2 “Accept Pre-Orders for On-Order Stock”.

get
https://api.retailexpress.com.au/v2.1/producteta

Query Parameters

product_idinteger | null(int32)

Product Id. Supplier SKU property are skipped, if used.

skustring | null

SKU. Product Id property are skipped, if used.

quantity_orderedinteger(int32)

Quantity ordered. Required and must be other than 0

fulfilment_outlet_idinteger | null(int32)

Fulfilment Outlet Id. Must be other than 0

sales_channel_idinteger | null(int32)

Sales channel Id

available_for_preorderboolean | null

Available for preorder

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Estimated Times of Arrival data

ProductETA.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product ETA model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/producteta
 
application/json

productprices

Searches Product Pricings by parameters

Searches Product Pricings by parameters

get
https://api.retailexpress.com.au/v2.1/productprices

Query Parameters

product_idstring | null

Product id or collection (comma separated)
Example: 1,2,3

skustring | null

Supplier product SKU or collection (comma separated)
Example: D124088,D124089

outlet_idstring | null

Unique outlet id or collection (comma separated)
Example: 1,2,3

sales_channel_idstring | null

Unique sales channel id or collection (comma separated)
Example: 1,2,3

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Pricings data

ProductPricing.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/productprices
 
application/json